> ## Documentation Index
> Fetch the complete documentation index at: https://docs.deliveryman.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Cancel Campaign

> Cancels the given campaign. If campaign is running, this will also stop all future scheduled emails. Existing campaign data will remain as it is. Once cancelled, this campaign cannot be restarted.



## OpenAPI

````yaml /openapi.yml post /api/v1/campaign/cancel/
openapi: 3.1.1
info:
  title: DeliverymanAI API
  version: 1.0.0
  description: >-
    API documentation for DeliverymanAI, a Cold Email Management and Automation
    platform. This API provides endpoints for managing campaigns, contacts,
    email sequences, and related services.
servers:
  - url: https://api.deliveryman.ai
    description: Deliveryman API Server
security: []
paths:
  /api/v1/campaign/cancel/:
    post:
      tags:
        - Campaign
      summary: Cancel Campaign
      description: >-
        Cancels the given campaign. If campaign is running, this will also stop
        all future scheduled emails. Existing campaign data will remain as it
        is. Once cancelled, this campaign cannot be restarted.
      operationId: campaign_cancel_create
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CancelCampaignRequest'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/CancelCampaignRequest'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/CancelCampaignRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SimpleMessageResponse'
          description: Success
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SimpleMessageResponse'
          description: Bad Request
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SimpleMessageResponse'
          description: Not Found
        '500':
          description: Internal Server Error
      security:
        - ApiKeyAuth: []
components:
  schemas:
    CancelCampaignRequest:
      type: object
      properties:
        campaign_uid:
          type: string
      required:
        - campaign_uid
    SimpleMessageResponse:
      type: object
      properties:
        message:
          type: string
      required:
        - message
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Api-Key
      description: 'Enter your API key in the format: X-Api-Key <your_key>'

````